SoBBoxModelMatrixElement(3)

NAME
SoBBoxModelMatrixElement - The SoBBoxModelMatrixElement class keeps track of the current model matrix during a scene graph traversal. It is used by amongst others the SoGetBoundingBoxAction class.

SYNOPSIS

#include <Inventor/elements/SoBBoxModelMatrixElement.h>

Inherits SoModelMatrixElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual void push (SoState *state)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void reset (SoState *const state, SoNode *const node)
static void pushMatrix (SoState *const state, SbMatrix &matrix, SbMatrix &localmatrix)
static void popMatrix (SoState *const state, const SbMatrix &matrix, const SbMatrix &localmatrix)

  Protected Member Functions
virtual ~SoBBoxModelMatrixElement ()
virtual void makeEltIdentity (void)
FIXME: write doc.
virtual void setElt (const SbMatrix &matrix)
FIXME: write doc.
virtual void multElt (const SbMatrix &matrix)
FIXME: write doc.
virtual void translateEltBy (const SbVec3f &translation)
FIXME: write doc.
virtual void rotateEltBy (const SbRotation &translation)
FIXME: write doc.
virtual void scaleEltBy (const SbVec3f &scaleFactor)
FIXME: write doc.
virtual SbMatrix pushMatrixElt ()
virtual void popMatrixElt (const SbMatrix &matrix)

  Additional Inherited Members

Detailed Description

The SoBBoxModelMatrixElement class keeps track of the current model matrix during a scene graph traversal. It is used by amongst others the SoGetBoundingBoxAction class.

Constructor & Destructor Documentation

  SoBBoxModelMatrixElement::~SoBBoxModelMatrixElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBBoxModelMatrixElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoBBoxModelMatrixElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoBBoxModelMatrixElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoBBoxModelMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoBBoxModelMatrixElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoBBoxModelMatrixElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoBBoxModelMatrixElement::reset (SoState *const state, SoNode *const node) [static]
This method is for the SoGetBoundingBoxAction class so it can reset the current model matrix and all local matrices to identity.

  void SoBBoxModelMatrixElement::pushMatrix (SoState *const state, SbMatrix & matrix, SbMatrix & localmatrix) [static]
This method keeps two matrices up-to-date as opposed to the method it replaces.

  void SoBBoxModelMatrixElement::popMatrix (SoState *const state, const SbMatrix & matrix, const SbMatrix & localmatrix) [static]
This method keeps two matrices up-to-date as opposed to the method it replaces.

  void SoBBoxModelMatrixElement::makeEltIdentity (void) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoBBoxModelMatrixElement::setElt (const SbMatrix & matrix) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoBBoxModelMatrixElement::multElt (const SbMatrix & matrix) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoBBoxModelMatrixElement::translateEltBy (const SbVec3f & translation) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoBBoxModelMatrixElement::rotateEltBy (const SbRotation & translation) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  void SoBBoxModelMatrixElement::scaleEltBy (const SbVec3f & scaleFactor) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoModelMatrixElement.

  SbMatrix SoBBoxModelMatrixElement::pushMatrixElt (void) [protected], [virtual]
This method is for debug use only.

Reimplemented from SoModelMatrixElement.

  void SoBBoxModelMatrixElement::popMatrixElt (const SbMatrix & m) [protected], [virtual]
This method is for debug use only.

Reimplemented from SoModelMatrixElement.

Author

Generated automatically by Doxygen for Coin from the source code.